from django.apps import AppConfig
from django.core.cache import cache

class AmConfig(AppConfig):
    default_auto_field = 'django.db.models.BigAutoField'
    name = 'apps.am'

    def ready(self) -> None:
        # if cache.get('cache_areas_need_task', True):
        #     from apps.am.tasks import cache_areas_info
        #     cache_areas_info.delay()
        #     cache.set('cache_areas_need_task', False, timeout=30)
        return super().ready()
